<section class="container py-5 p-3 color-black">
  <div class="row pb-3">
    <div class="col text-center">
      <h1>{{'works.title' | translate}}</h1>
    </div>
  </div>
  <div class="row tt-100">
    <div *ngFor="let work of works; index as i" style="--animation-order: {{i}};"
      class="col-md-6 col-lg-4 pt-4 p-3 slide-top">
      <div class="card px-5 py-4 text-center">
        <img class="px-2 img" src="{{work.src}}" />
        <div class="text-center p-0 d-text">
          <h4 class="pt-3">{{work.title | translate}}</h4>
          <p class="description">{{work.description | translate}}</p>
          <ion-button *ngIf="work.isPublished" href="{{work.link | translate}}" target="_blank"><span>{{'works.visit'
              |
              translate}}</span>
          </ion-button>
          <ion-button disabled *ngIf="!work.isPublished && work.title !== 'Portfolio'"><span>{{'works.private' |
              translate}}</span>
          </ion-button>
          <ion-button disabled *ngIf="work.title === 'Portfolio'"><span>{{'works.inSite' |
              translate}}</span>
          </ion-button>
          <p class="color-primary pt-3 ls-2">{{work.date | translate}}</p>
        </div>
      </div>
    </div>
  </div>
</section>
